### Navigation

- index
- modules |
- next |
- previous |
- IPython 0.10.2 documentation »
- The IPython API »

# platutils

## Module: `platutils`

Inheritance diagram for `IPython.platutils`:

Proxy module for accessing platform specific utility functions.

Importing this module should give you the implementations that are correct for your operation system, from platutils_PLATFORMNAME module.

## Class

## `FindCmdError`

class `IPython.platutils.``FindCmdError`

  Bases: `exceptions.Exception`

  `__init__`()

    x.__init__(...) initializes x; see x.__class__.__doc__ for signature

## Functions

`IPython.platutils.``find_cmd`()

  Find full path to executable cmd in a cross platform manner.

  This function tries to determine the full path to a command line program using which on Unix/Linux/OS X and win32api on Windows. Most of the time it will use the version that is first on the users PATH. If cmd is python return sys.executable.

  Parameters :

  cmd : str

  > The command line program to look for.

`IPython.platutils.``freeze_term_title`()

`IPython.platutils.``get_long_path_name`()

  Expand a path into its long form.

  On Windows this expands any ~ in the paths. On other platforms, it is a null operation.

`IPython.platutils.``set_term_title`()

  Set terminal title using the necessary platform-dependent calls.

`IPython.platutils.``term_clear`()

`IPython.platutils.``toggle_set_term_title`()

  Control whether set_term_title is active or not.

  set_term_title() allows writing to the console titlebar. In embedded widgets this can cause problems, so this call can be used to toggle it on or off as needed.

  The default state of the module is for the function to be disabled.

  Parameters :

  val : bool

  > If True, set_term_title() actually writes to the terminal (using the appropriate platform-specific module). If False, it is a no-op.

### Navigation

- index
- modules |
- next |
- previous |
- IPython 0.10.2 documentation »
- The IPython API »